<div class="kloustrTable">
  <p-table [value]="fixedData" [lazy]="true" (onLazyLoad)="loadPage($event)" responsiveLayout="scroll"
    [paginator]="true" [rows]="pageSize" [totalRecords]="totalRecords" [loading]="loading">
    <ng-template pTemplate="header">
      <tr class="headerTable">
        <th class="headerColum" *ngFor="let col of columns; let i = index" [ngStyle]="col.width?{width:col.width}:{}">
          {{col.header}}
        </th>
        <!-- <th class="nameColumn" pSortableColumn="country.name">Country <p-sortIcon field="country.name"></p-sortIcon></th>
                <th class="nameColumn" pSortableColumn="company">Company <p-sortIcon field="company"></p-sortIcon>
                </th>
                <th  class="nameColumn" pSortableColumn="representative.name">Representative <p-sortIcon field="representative.name"></p-sortIcon></th> -->
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-row>
      <tr class="bodyTable">
        <td class="cellTable" *ngFor="let col of columns; let i = index" [ngSwitch]="col.type">
          <span *ngSwitchCase="tableTypes.string">{{row[col.propertyPath] }}</span>
          <p *ngSwitchCase="tableTypes.longString">{{row[col.propertyPath] }}</p>
          <div *ngSwitchCase="tableTypes.date">
            <span *ngIf="col.dateFormater">{{row[col.propertyPath] }}</span>
            <span *ngIf="!col.dateFormater">{{row[col.propertyPath] | date:'d /MMM/yy' }}</span>
          </div>
          <div *ngSwitchCase="tableTypes.dateTime">
            <span *ngIf="col.dateFormater">{{row[col.propertyPath] }}</span>
            <span *ngIf="!col.dateFormater">{{row[col.propertyPath] | date:'d /MMM/yy, h:mm' }}</span>
          </div>
          <span *ngSwitchCase="tableTypes.number">{{row[col.propertyPath] }} </span>
          <span class="badgeTable" [ngStyle]="row[col.propertyPath+'style']"
            *ngSwitchCase="tableTypes.label">{{row[col.propertyPath] }} </span>
          <img class="tableImg" *ngSwitchCase="tableTypes.image" [src]="row[col.propertyPath]">
          <div *ngSwitchCase="tableTypes.actions">
            <button type="button" mat-icon-button [matMenuTriggerFor]="actionsMenu" (click)="$event.stopPropagation()">
              <mat-icon>more_horiz</mat-icon>
            </button>
            <mat-menu #actionsMenu="matMenu" yPosition="below" xPosition="before">
              <button *ngFor="let action of col.actions; let i = index" (click)="emitRowAction(row.dataRow,action.type)"
                mat-menu-item>
                <span>{{action.label}}</span>
              </button>
            </mat-menu>
          </div>
          <div *ngSwitchCase="tableTypes.buttonAdd">
            <button class="buttonAdd"  type="button" mat-raised-button  (click)="emitRowAction(row.dataRow,'addLock')">
              Asignar Candado
              <mat-icon>lock</mat-icon>
            </button>
          </div>
          <span *ngSwitchDefault>Error {{row[col.propertyPath]}}</span>

        </td>
        <!-- <td>{{row.startDate}}</td>
                <td>{{row.endDate}}</td>
                <td>{{row.state}}</td> -->
      </tr>
    </ng-template>
  </p-table>
</div>
